/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef GTK_PARTED_H
#define GTK_PARTED_H

#include <gtk/gtk.h>

typedef struct _gpedInfo gpedInfo;


/*
 * includes
 */

gpedInfo*
gped_init                       (gchar           *fstab_path,
                                 gint             devices_count,
                                 gchar           *devices[]);

void
gped_done                       (void);

gboolean
gped_get_changes                (gpedInfo        *info);

gboolean
gped_write_changes              (gpedInfo        *info);

gboolean
gped_insert                     (gpedInfo        *info,
                                 GtkContainer    *container);


#endif /* GTK_PARTED_H */
